# How to call ParseResultsEx from C++

ParseResultsEx is a function used to parse most XML return values from the QLM web service.

&#x20;To call ParseResultsEx from C++:

{% code overflow="wrap" %}

```cpp
ILicenseInfoPtr li(__uuidof(LicenseInfo));
CComBSTR bstrMessage;
if (license->ParseResultsEx(_bstr_t(bstrResponse), li, &bstrMessage) == VARIANT_TRUE)
{
  // Access any of the pLicenseInfo properties
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/how-to/how-to-call-parseresultsex-from-c++.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
